Supported Operating System Versions

    +

    Description — Couchbase Lite on Java — the OS and SDK versions on which this framework is supported
    Related Content — What’s New | Release Notes | Compatibility

    Officially Supported Versions

    Couchbase Lite on Java is supported on x86 64-bit platforms. The targeted OS versions are given in [supported-os-versions]

    OS Version Type

    RHEL

    8

    Desktop & Web Service/Servlet (Tomcat)

    7

    Desktop & Web Service/Servlet (Tomcat)

    centOS

    8

    Desktop & Web Service/Servlet (Tomcat)

    7

    Desktop & Web Service/Servlet (Tomcat)

    Ubuntu

    16.0

    Desktop & Web Service/Servlet (Tomcat)

    Debian

    GNU/Linux 8

    Desktop & Web Service/Servlet (Tomcat)

    Microsoft Server

    Windows Server 2016 (64-bit)

    Web Service/Servlet (Tomcat)

    Windows Server 2012 (64-bit)

    Web Service/Servlet (Tomcat)

    Microsoft

    Windows 10

    Desktop

    Deprecation Notice — Linux platforms

    Support for centOS 6 was deprecated in release 2.8 and will be removed in a future release

    Action: Please plan to migrate your apps to use an appropriate alternative version.

    Development and Testing Only

    OS

    Version

    Type

    Apple

    OSX v10.15 (Catalina)

    OSX v10.14 (Mojave)

    OSX v10.1.12.6 (High Sierra) — Deprecated

    Desktop & Web Service/Servlet (Tomcat)